Subject: Re: [PATCH v3 1/1] docs: highlight that .gitmodules does not support !command

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Jul 2023 13:55:29 -0700

Petar Vutov <[email-masked]> writes:

> I prefer the original description as it uses shorter sentences. I
> can't hold that 5-liner in my head :)

But you are comparing oranges and apples, aren't you?  You are not
counting "oh by the way this cannot be in .gitmodules" as part of 5.

> But now I really am bikeshedding, and I've taken enough of your
> time. I will send a v4 with just the .gitmodules disclaimer, no
> rewrite, in case you end up agreeing.

After reading the original again and again, I hate more and more the
way the original wasted too many words to refer to one thing twice
(e.g. "arbitrary command" and then "is the custom command", "a
single argument" and then the parenthesized explanation of it)
without adding any clarity.